Bug 26131 - console errors when attempting to open SCO related system preferences
Summary: console errors when attempting to open SCO related system preferences
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Self checkout (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Lucas Gass
QA Contact: Testopia
URL:
Keywords:
Depends on: 25147
Blocks: 15851
  Show dependency treegraph
 
Reported: 2020-08-03 21:47 UTC by Lucas Gass
Modified: 2020-09-01 20:01 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.03


Attachments
Bug 26131: Remove parentheses in circulation.pref (1.59 KB, patch)
2020-08-03 21:59 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 26131: Remove parentheses in circulation.pref (1.66 KB, patch)
2020-08-04 09:15 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 26131: Remove parentheses in circulation.pref (1.71 KB, patch)
2020-08-04 13:07 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Lucas Gass 2020-08-03 21:47:53 UTC
When you search for SCO related system preferences you will get a console error:

Uncaught Error: Syntax error, unrecognized expression: #collapse_Self_check-in_module_(sci-main.pl)

This makes it impossible to open/edit the system preference.
Comment 1 Lucas Gass 2020-08-03 21:59:36 UTC Comment hidden (obsolete)
Comment 2 ByWater Sandboxes 2020-08-04 09:15:58 UTC Comment hidden (obsolete)
Comment 3 Nick Clemens 2020-08-04 13:07:18 UTC
Created attachment 107761 [details] [review]
Bug 26131: Remove parentheses in circulation.pref

To test:
1. Search for a SCO system preference like SCOUserJS.
2. Note that there is a console error on that screen and you cannot open editor.
3. Apply patch
4. Reload the page.
5. No more console error and you can now edit the system pref!

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 4 Jonathan Druart 2020-08-06 09:38:38 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 5 Lucas Gass 2020-08-14 21:11:40 UTC
backported to 20.05.x for 20.05.03
Comment 6 Aleisha Amohia 2020-08-16 22:30:55 UTC
missing dependencies, not backported to 19.11.x